ALSA project - the C library reference: Data Fields

### - s -

- SND_CHMAP_API_VERSION : pcm.h
- SND_CHMAP_DRIVER_SPEC : pcm.h
- SND_CHMAP_PHASE_INVERSE : pcm.h
- SND_CHMAP_POSITION_MASK : pcm.h
- SND_CONFIG_DLSYM_VERSION_EVALUATE : conf.h
- SND_CONFIG_DLSYM_VERSION_HOOK : conf.h
- snd_config_for_each : conf.h
- SND_CONTROL_DLSYM_VERSION : control.h
- SND_CTL_ASYNC : control.h
- snd_ctl_card_info_alloca : control.h
- snd_ctl_elem_id_alloca : control.h
- snd_ctl_elem_info_alloca : control.h
- snd_ctl_elem_list_alloca : control.h
- snd_ctl_elem_value_alloca : control.h
- snd_ctl_event_alloca : control.h
- SND_CTL_EVENT_MASK_ADD : control.h
- SND_CTL_EVENT_MASK_INFO : control.h
- SND_CTL_EVENT_MASK_REMOVE : control.h
- SND_CTL_EVENT_MASK_TLV : control.h
- SND_CTL_EVENT_MASK_VALUE : control.h
- SND_CTL_EXT_KEY_NOT_FOUND : control_external.h
- SND_CTL_EXT_VERSION : control_external.h
- SND_CTL_EXT_VERSION_MAJOR : control_external.h
- SND_CTL_EXT_VERSION_MINOR : control_external.h
- SND_CTL_EXT_VERSION_TINY : control_external.h
- SND_CTL_NAME_CAPTURE : control.h
- SND_CTL_NAME_IEC958 : control.h
- SND_CTL_NAME_IEC958_CON_MASK : control.h
- SND_CTL_NAME_IEC958_DEFAULT : control.h
- SND_CTL_NAME_IEC958_MASK : control.h
- SND_CTL_NAME_IEC958_NONE : control.h
- SND_CTL_NAME_IEC958_PCM_STREAM : control.h
- SND_CTL_NAME_IEC958_PRO_MASK : control.h
- SND_CTL_NAME_IEC958_SWITCH : control.h
- SND_CTL_NAME_IEC958_VOLUME : control.h
- SND_CTL_NAME_NONE : control.h
- SND_CTL_NAME_PLAYBACK : control.h
- SND_CTL_NONBLOCK : control.h
- SND_CTL_PLUGIN_DEFINE_FUNC : control_external.h
- SND_CTL_PLUGIN_ENTRY : control_external.h
- SND_CTL_PLUGIN_SYMBOL : control_external.h
- SND_CTL_POWER_D0 : control.h
- SND_CTL_POWER_D1 : control.h
- SND_CTL_POWER_D2 : control.h
- SND_CTL_POWER_D3 : control.h
- SND_CTL_POWER_D3cold : control.h
- SND_CTL_POWER_D3hot : control.h
- SND_CTL_POWER_MASK : control.h
- SND_CTL_READONLY : control.h
- SND_CTL_TLV_DB_GAIN_MUTE : control.h
- SND_CTL_TLVT_CHMAP_FIXED : control.h
- SND_CTL_TLVT_CHMAP_PAIRED : control.h
- SND_CTL_TLVT_CHMAP_VAR : control.h
- SND_CTL_TLVT_CONTAINER : control.h
- SND_CTL_TLVT_DB_LINEAR : control.h
- SND_CTL_TLVT_DB_MINMAX : control.h
- SND_CTL_TLVT_DB_MINMAX_MUTE : control.h
- SND_CTL_TLVT_DB_RANGE : control.h
- SND_CTL_TLVT_DB_SCALE : control.h
- SND_DLSYM_BUILD_VERSION : global.h
- SND_DLSYM_VERSION : global.h
- SND_ERROR_ALISP_NIL : error.h
- SND_ERROR_BEGIN : error.h
- SND_ERROR_INCOMPATIBLE_VERSION : error.h
- SND_HWDEP_DLSYM_VERSION : hwdep.h
- snd_hwdep_dsp_image_alloca : hwdep.h
- snd_hwdep_dsp_status_alloca : hwdep.h
- snd_hwdep_info_alloca : hwdep.h
- SND_HWDEP_OPEN_DUPLEX : hwdep.h
- SND_HWDEP_OPEN_NONBLOCK : hwdep.h
- SND_HWDEP_OPEN_READ : hwdep.h
- SND_HWDEP_OPEN_WRITE : hwdep.h
- snd_mixer_class_alloca : mixer.h
- snd_mixer_selem_id_alloca : mixer.h
- SND_PCM_ABORT : pcm.h
- snd_pcm_access_mask_alloca : pcm.h
- SND_PCM_ASYNC : pcm.h
- SND_PCM_DLSYM_VERSION : pcm.h
- SND_PCM_EXTPLUG_VERSION : pcm_extplug.h
- SND_PCM_EXTPLUG_VERSION_MAJOR : pcm_extplug.h
- SND_PCM_EXTPLUG_VERSION_MINOR : pcm_extplug.h
- SND_PCM_EXTPLUG_VERSION_TINY : pcm_extplug.h
- snd_pcm_format_mask_alloca : pcm.h
- snd_pcm_hw_params_alloca : pcm.h
- snd_pcm_info_alloca : pcm.h
- SND_PCM_IOPLUG_FLAG_LISTED : pcm_ioplug.h
- SND_PCM_IOPLUG_FLAG_MONOTONIC : pcm_ioplug.h
- SND_PCM_IOPLUG_VERSION : pcm_ioplug.h
- SND_PCM_IOPLUG_VERSION_MAJOR : pcm_ioplug.h
- SND_PCM_IOPLUG_VERSION_MINOR : pcm_ioplug.h
- SND_PCM_IOPLUG_VERSION_TINY : pcm_ioplug.h
- SND_PCM_NO_AUTO_CHANNELS : pcm.h
- SND_PCM_NO_AUTO_FORMAT : pcm.h
- SND_PCM_NO_AUTO_RESAMPLE : pcm.h
- SND_PCM_NO_SOFTVOL : pcm.h
- SND_PCM_NONBLOCK : pcm.h
- SND_PCM_PLUGIN_DEFINE_FUNC : pcm_external.h
- SND_PCM_PLUGIN_ENTRY : pcm_external.h
- SND_PCM_PLUGIN_SYMBOL : pcm_external.h
- snd_pcm_status_alloca : pcm.h
- snd_pcm_subformat_mask_alloca : pcm.h
- snd_pcm_sw_params_alloca : pcm.h
- SND_RAWMIDI_APPEND : rawmidi.h
- SND_RAWMIDI_DLSYM_VERSION : rawmidi.h
- snd_rawmidi_info_alloca : rawmidi.h
- SND_RAWMIDI_NONBLOCK : rawmidi.h
- snd_rawmidi_params_alloca : rawmidi.h
- snd_rawmidi_status_alloca : rawmidi.h
- SND_RAWMIDI_SYNC : rawmidi.h
- SND_SCTL_NOFREE : control.h
- SND_SEQ_ADDRESS_BROADCAST : seq.h
- SND_SEQ_ADDRESS_SUBSCRIBERS : seq.h
- SND_SEQ_ADDRESS_UNKNOWN : seq.h
- snd_seq_change_queue_tempo : seqmid.h
- snd_seq_client_info_alloca : seq.h
- snd_seq_client_pool_alloca : seq.h
- SND_SEQ_CLIENT_SYSTEM : seq.h
- snd_seq_continue_queue : seqmid.h
- SND_SEQ_DLSYM_VERSION : seq.h
- snd_seq_ev_clear : seqmid.h
- snd_seq_ev_is_abstime : seq.h
- snd_seq_ev_is_channel_type : seq.h
- snd_seq_ev_is_control_type : seq.h
- snd_seq_ev_is_direct : seq.h
- snd_seq_ev_is_fixed : seq.h
- snd_seq_ev_is_fixed_type : seq.h
- snd_seq_ev_is_instr_type : seq.h
- snd_seq_ev_is_message_type : seq.h
- snd_seq_ev_is_note_type : seq.h
- snd_seq_ev_is_prior : seq.h
- snd_seq_ev_is_queue_type : seq.h
- snd_seq_ev_is_real : seq.h
- snd_seq_ev_is_reltime : seq.h
- snd_seq_ev_is_reserved : seq.h
- snd_seq_ev_is_result_type : seq.h
- snd_seq_ev_is_sample_type : seq.h
- snd_seq_ev_is_subscribe_type : seq.h
- snd_seq_ev_is_tick : seq.h
- snd_seq_ev_is_user_type : seq.h
- snd_seq_ev_is_variable : seq.h
- snd_seq_ev_is_variable_type : seq.h
- snd_seq_ev_is_varusr : seq.h
- snd_seq_ev_is_varusr_type : seq.h
- snd_seq_ev_length_type : seq.h
- snd_seq_ev_schedule_real : seqmid.h
- snd_seq_ev_schedule_tick : seqmid.h
- snd_seq_ev_set_broadcast : seqmid.h
- snd_seq_ev_set_chanpress : seqmid.h
- snd_seq_ev_set_controller : seqmid.h
- snd_seq_ev_set_dest : seqmid.h
- snd_seq_ev_set_direct : seqmid.h
- snd_seq_ev_set_fixed : seqmid.h
- snd_seq_ev_set_keypress : seqmid.h
- snd_seq_ev_set_note : seqmid.h
- snd_seq_ev_set_noteoff : seqmid.h
- snd_seq_ev_set_noteon : seqmid.h
- snd_seq_ev_set_pgmchange : seqmid.h
- snd_seq_ev_set_pitchbend : seqmid.h
- snd_seq_ev_set_priority : seqmid.h
- snd_seq_ev_set_queue_continue : seqmid.h
- snd_seq_ev_set_queue_control : seqmid.h
- snd_seq_ev_set_queue_pos_real : seqmid.h
- snd_seq_ev_set_queue_pos_tick : seqmid.h
- snd_seq_ev_set_queue_start : seqmid.h
- snd_seq_ev_set_queue_stop : seqmid.h
- snd_seq_ev_set_queue_tempo : seqmid.h
- snd_seq_ev_set_source : seqmid.h
- snd_seq_ev_set_subs : seqmid.h
- snd_seq_ev_set_sysex : seqmid.h
- snd_seq_ev_set_tag : seqmid.h
- snd_seq_ev_set_variable : seqmid.h
- snd_seq_ev_set_varusr : seqmid.h
- snd_seq_ev_timemode_type : seq.h
- snd_seq_ev_timestamp_type : seq.h
- SND_SEQ_EVENT_LENGTH_FIXED : seq_event.h
- SND_SEQ_EVENT_LENGTH_MASK : seq_event.h
- SND_SEQ_EVENT_LENGTH_VARIABLE : seq_event.h
- SND_SEQ_EVENT_LENGTH_VARUSR : seq_event.h
- SND_SEQ_NONBLOCK : seq.h
- SND_SEQ_OPEN_DUPLEX : seq.h
- SND_SEQ_OPEN_INPUT : seq.h
- SND_SEQ_OPEN_OUTPUT : seq.h
- SND_SEQ_PORT_CAP_DUPLEX : seq.h
- SND_SEQ_PORT_CAP_NO_EXPORT : seq.h
- SND_SEQ_PORT_CAP_READ : seq.h
- SND_SEQ_PORT_CAP_SUBS_READ : seq.h
- SND_SEQ_PORT_CAP_SUBS_WRITE : seq.h
- SND_SEQ_PORT_CAP_SYNC_READ : seq.h
- SND_SEQ_PORT_CAP_SYNC_WRITE : seq.h
- SND_SEQ_PORT_CAP_WRITE : seq.h
- snd_seq_port_info_alloca : seq.h
- snd_seq_port_subscribe_alloca : seq.h
- SND_SEQ_PORT_SYSTEM_ANNOUNCE : seq.h
- SND_SEQ_PORT_SYSTEM_TIMER : seq.h
- SND_SEQ_PORT_TYPE_APPLICATION : seq.h
- SND_SEQ_PORT_TYPE_DIRECT_SAMPLE : seq.h
- SND_SEQ_PORT_TYPE_HARDWARE : seq.h
- SND_SEQ_PORT_TYPE_MIDI_GENERIC : seq.h
- SND_SEQ_PORT_TYPE_MIDI_GM : seq.h
- SND_SEQ_PORT_TYPE_MIDI_GM2 : seq.h
- SND_SEQ_PORT_TYPE_MIDI_GS : seq.h
- SND_SEQ_PORT_TYPE_MIDI_MT32 : seq.h
- SND_SEQ_PORT_TYPE_MIDI_XG : seq.h
- SND_SEQ_PORT_TYPE_PORT : seq.h
- SND_SEQ_PORT_TYPE_SAMPLE : seq.h
- SND_SEQ_PORT_TYPE_SOFTWARE : seq.h
- SND_SEQ_PORT_TYPE_SPECIFIC : seq.h
- SND_SEQ_PORT_TYPE_SYNTH : seq.h
- SND_SEQ_PORT_TYPE_SYNTHESIZER : seq.h
- SND_SEQ_PRIORITY_HIGH : seq_event.h
- SND_SEQ_PRIORITY_MASK : seq_event.h
- SND_SEQ_PRIORITY_NORMAL : seq_event.h
- snd_seq_query_subscribe_alloca : seq.h
- SND_SEQ_QUEUE_DIRECT : seq.h
- snd_seq_queue_info_alloca : seq.h
- snd_seq_queue_status_alloca : seq.h
- snd_seq_queue_tempo_alloca : seq.h
- snd_seq_queue_timer_alloca : seq.h
- SND_SEQ_REMOVE_DEST : seq.h
- SND_SEQ_REMOVE_DEST_CHANNEL : seq.h
- SND_SEQ_REMOVE_EVENT_TYPE : seq.h
- snd_seq_remove_events_alloca : seq.h
- SND_SEQ_REMOVE_IGNORE_OFF : seq.h
- SND_SEQ_REMOVE_INPUT : seq.h
- SND_SEQ_REMOVE_OUTPUT : seq.h
- SND_SEQ_REMOVE_TAG_MATCH : seq.h
- SND_SEQ_REMOVE_TIME_AFTER : seq.h
- SND_SEQ_REMOVE_TIME_BEFORE : seq.h
- SND_SEQ_REMOVE_TIME_TICK : seq.h
- snd_seq_start_queue : seqmid.h
- snd_seq_stop_queue : seqmid.h
- snd_seq_system_info_alloca : seq.h
- SND_SEQ_TIME_MODE_ABS : seq_event.h
- SND_SEQ_TIME_MODE_MASK : seq_event.h
- SND_SEQ_TIME_MODE_REL : seq_event.h
- SND_SEQ_TIME_STAMP_MASK : seq_event.h
- SND_SEQ_TIME_STAMP_REAL : seq_event.h
- SND_SEQ_TIME_STAMP_TICK : seq_event.h
- snd_seq_type_check : seq.h
- SND_TIMER_DLSYM_VERSION : timer.h
- snd_timer_ginfo_alloca : timer.h
- SND_TIMER_GLOBAL_HPET : timer.h
- SND_TIMER_GLOBAL_HRTIMER : timer.h
- SND_TIMER_GLOBAL_RTC : timer.h
- SND_TIMER_GLOBAL_SYSTEM : timer.h
- snd_timer_id_alloca : timer.h
- snd_timer_info_alloca : timer.h
- SND_TIMER_OPEN_NONBLOCK : timer.h
- SND_TIMER_OPEN_TREAD : timer.h
- snd_timer_params_alloca : timer.h
- SND_TIMER_QUERY_DLSYM_VERSION : timer.h
- snd_timer_status_alloca : timer.h
- SND_USE_CASE_DEV_BLUETOOTH : use-case.h
- SND_USE_CASE_DEV_EARPIECE : use-case.h
- SND_USE_CASE_DEV_HANDSET : use-case.h
- SND_USE_CASE_DEV_HDMI : use-case.h
- SND_USE_CASE_DEV_HEADPHONES : use-case.h
- SND_USE_CASE_DEV_HEADSET : use-case.h
- SND_USE_CASE_DEV_LINE : use-case.h
- SND_USE_CASE_DEV_NONE : use-case.h
- SND_USE_CASE_DEV_SPDIF : use-case.h
- SND_USE_CASE_DEV_SPEAKER : use-case.h
- SND_USE_CASE_MOD_CAPTURE_MUSIC : use-case.h
- SND_USE_CASE_MOD_CAPTURE_VOICE : use-case.h
- SND_USE_CASE_MOD_ECHO_REF : use-case.h
- SND_USE_CASE_MOD_PLAY_MUSIC : use-case.h
- SND_USE_CASE_MOD_PLAY_TONE : use-case.h
- SND_USE_CASE_MOD_PLAY_VOICE : use-case.h
- SND_USE_CASE_TQ_MUSIC : use-case.h
- SND_USE_CASE_TQ_TONES : use-case.h
- SND_USE_CASE_TQ_VOICE : use-case.h
- SND_USE_CASE_VERB_ANALOG_RADIO : use-case.h
- SND_USE_CASE_VERB_DIGITAL_RADIO : use-case.h
- SND_USE_CASE_VERB_HIFI : use-case.h
- SND_USE_CASE_VERB_HIFI_LOW_POWER : use-case.h
- SND_USE_CASE_VERB_INACTIVE : use-case.h
- SND_USE_CASE_VERB_IP_VOICECALL : use-case.h
- SND_USE_CASE_VERB_VOICE : use-case.h
- SND_USE_CASE_VERB_VOICE_LOW_POWER : use-case.h
- SND_USE_CASE_VERB_VOICECALL : use-case.h
- SNDERR : error.h
- SYSERR : error.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines